# Class CIM_OOBAlertServiceOnModem
extends CIM_DeviceServiceImplementation

OOBAlertServiceOnModem defines where the out-of-band alerting Service is implemented. The Service can either employ a Modem or NetworkAdapter to send alerts.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_DeviceServiceImplementation
|
+--CIM_OOBAlertServiceOnModem

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | OOBAlertServiceOnModem defines where the out-of-band alerting Service is implemented. The Service can either employ a Modem or NetworkAdapter to send alerts.
UMLPackagePath | string | CIM::Device::Modems
Version | string | 2.10.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_OOBAlertServiceOnModem | CIM_Modem
Dependent | CIM_OOBAlertServiceOnModem | CIM_OOBAlertService

## Class Methods